version: '{{ docker_compose_version }}'

services:
{% for service in docker_compose_services %}
  {{ service.name | default('app' + loop.index|string) }}:
    container_name: "{{ service.name | default('app' + loop.index|string) }}"
    image: {{ service.image }}
    ports:
      - "80:{{ service.port | default('80') }}"
      
{% endfor %}